Debian Bug report logs - #285267
ITA: libpam-heimdal -- PAM module for Heimdal Kerberos 5

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Brian May <bam@debian.org>

Date: Sun, 12 Dec 2004 03:48:01 UTC

Owned by: Matthijs Mohlmann <matthijs@cacholong.nl>

Severity: normal

Fixed in version libpam-heimdal/1.0-18

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#285267; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: libpam-heimdal
Date: Sun, 12 Dec 2004 14:40:37 +1100
Package: wnpp
Severity: normal

Hello,

I longer use this package, not able to test it, nor am I interested in
maintaining it anymore.

There is one reported bug (#269457, with patch) and one wishlist item
(#234882).

It is likely that other bugs exist that haven't been reported.

The best solution (as suggested in bug #269457) might be to switch to
the FreeBSD source code or some other source code.

Once this is done, I expect this package to be a very low maintance
package.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#285267; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 285267@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@debian.org>
To: 285267@bugs.debian.org
Subject: suggestion
Date: Thu, 19 May 2005 12:12:39 -0400
I'm going to throw in my $0.02 as well, and suggest that this module be
dropped from the archive, and libpam-krb5 made to provide
libpam-heimdal.






Changed Bug title. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#285267; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 285267@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 285267@bugs.debian.org
Subject: RFA: libpam-heimdal -- PAM module for Heimdal Kerberos 5
Date: Thu, 18 Aug 2005 19:09:25 +0200
[Message part 1 (text/plain, inline)]
> I'm going to throw in my $0.02 as well, and suggest that this module be
> dropped from the archive, and libpam-krb5 made to provide
> libpam-heimdal.

The libpam-krb5 modules doesn't work together with the heimdal-kdc or
reverse. I tested this but somehow it isn't possible.

Aug 18 17:52:39 monster login[2656]: FAILED LOGIN (1) on `tty1' FOR
`matthijs',
Authentication failure
Aug 18 17:55:18 monster login[13203]: pam_krb5:
pam_sm_authenticate(login matthijs): entry:
Aug 18 17:55:20 monster login[13203]: pam_krb5:
pam_sm_authenticate(login matthijs): krb5_get_init_creds_password():
Invalid argument
Aug 18 17:55:20 monster login[13203]: pam_krb5:
pam_sm_authenticate(login matthijs): exit: failure
Aug 18 17:55:21 monster login[13203]: (pam_unix) authentication failure;
logname=LOGIN uid=0 euid=0 tty=tty1 ruser= rhost=  user=matthijs

And when I use libpam-heimdal everything works ok.

I intend to take this package, I'll retitle it to ITA.

Regards,

Matthijs Mohlmann
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Matthijs Mohlmann <matthijs@cacholong.nl>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian May <bam@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 285267-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 285267-close@bugs.debian.org
Subject: Bug#285267: fixed in libpam-heimdal 1.0-18
Date: Sun, 04 Sep 2005 11:02:06 -0700
Source: libpam-heimdal
Source-Version: 1.0-18

We believe that the bug you reported is fixed in the latest version of
libpam-heimdal, which is due to be installed in the Debian FTP archive:

libpam-heimdal_1.0-18.diff.gz
  to pool/main/libp/libpam-heimdal/libpam-heimdal_1.0-18.diff.gz
libpam-heimdal_1.0-18.dsc
  to pool/main/libp/libpam-heimdal/libpam-heimdal_1.0-18.dsc
libpam-heimdal_1.0-18_i386.deb
  to pool/main/libp/libpam-heimdal/libpam-heimdal_1.0-18_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285267@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated libpam-heimdal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Sep 2005 15:12:28 +0200
Source: libpam-heimdal
Binary: libpam-heimdal
Architecture: source i386
Version: 1.0-18
Distribution: unstable
Urgency: low
Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 libpam-heimdal - PAM module for Heimdal Kerberos 5
Closes: 285267 321670
Changes: 
 libpam-heimdal (1.0-18) unstable; urgency=low
 .
   * New Maintainer (Closes: #285267)
   * Bumped Standards-Version to 3.6.2
   * Bumped compatibility level to 4
   * Removed *.ex files from the debian directory
   * Moved to patch system (dpatch)
   * Rebuild to fix dlopen error (Closes: #321670)
   * Modified copyright to refer to /usr/share/common-licenses/BSD to make
     lintian happy.
   * Conflict with libpam-krb5
Files: 
 bfb36cc75bc0aacf13bc76a20fa1e989 651 net optional libpam-heimdal_1.0-18.dsc
 9ab7e1841dfa55666036c36d15fbb3ba 38019 net optional libpam-heimdal_1.0-18.diff.gz
 9c511ebd01261a092ea2f52c3c3851fa 20014 net optional libpam-heimdal_1.0-18_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFDGzQuf+2upy2F5boRAr64AKDbzj5apogi9HXH5Sl/l3Klhc4AawCgwf++
7blmy0yAhlUowxKcQNWaXi8=
=37j7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:12:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:54:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.